<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class MemberHistory extends Model
{
    use HasFactory, SoftDeletes;

    protected $fillable = [
        'member_id',
        'user_id',
        'action',
        'comment',
    ];

    public function agent()
    {
        return $this->belongsTo(\App\Models\User::class, 'user_id');
    }

    public function member()
    {
        return $this->belongsTo(\App\Models\Member::class, 'member_id');
    }
}
